Name:           perl-Math-BigRat
# Keep 4-digit version to compete with perl.spec
Version:        0.2613
Release:        1%{?dist}
Summary:        Arbitrary big rational numbers
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Math-BigRat/
Source0:        http://www.cpan.org/authors/id/P/PJ/PJACKLAM/Math-BigRat-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(Carp)
BuildRequires:  perl(Math::BigFloat)
BuildRequires:  perl(Math::BigInt) >= 1.999718
BuildRequires:  perl(overload)
# Tests:
BuildRequires:  perl(Exporter)
BuildRequires:  perl(lib)
# Math::Complex not used
# Scalar::Util not used
BuildRequires:  perl(Test::More) >= 0.82
# Optional tests:
# Module::Signature not used and not helpful
# Socket not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Math::BigInt) >= 1.999718
Conflicts:      perl < 4:5.22.0-348

%description
Math::BigRat complements Math::BigInt and Math::BigFloat by providing
support for arbitrary big rational numbers.

%prep
%setup -q -n Math-BigRat-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc BUGS CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jun 19 2017 Petr Pisar <ppisar@redhat.com> - 0.2613-1
- 0.2613 bump

* Thu Mar 02 2017 Petr Pisar <ppisar@redhat.com> - 0.2612-1
- 0.2612 bump

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2611-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 23 2016 Petr Pisar <ppisar@redhat.com> 0.2611-1
- Specfile autogenerated by cpanspec 1.78.
